package de.tobias.playpad.server.plugin

import java.nio.file.{Files, Paths}

import com.google.gson.Gson
import com.j256.ormlite.dao.Dao
import de.tobias.playpad.model.plugin.Plugin
import de.tobias.playpad.server.{Result, Status}
import de.tobias.playpad.utils.settings.Settings
import spark.{Request, Response, Route}

/**
 * Created by tobias on 05.02.17.
 */
class PluginRawGet(dao: Dao[Plugin, Int], settings: Settings) extends Route {

	val gson = new Gson()

	override def handle(request: Request, response: Response): AnyRef = {
		val plugin = dao.queryForId(request.params(":id").toInt)
		if (plugin == null) {
			return new Result(Status.ERROR, "Bad request")
		}
		val path = Paths.get(settings.download_folder, plugin.path)
		Files.readAllBytes(path)
	}
}
